Bug 1650051 - [Wayland] When switched by ALT+TAB, Alt remains present for scrolling
Summary: [Wayland] When switched by ALT+TAB, Alt remains present for scrolling
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk3
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://gitlab.gnome.org/GNOME/mutter...
Whiteboard: https://fedoraproject.org/wiki/Common...
: 1724092 1754265 1758130 (view as bug list)
Depends On:
Blocks: ffwayland
TreeView+ depends on / blocked
 
Reported: 2018-11-15 09:20 UTC by Vít Ondruch
Modified: 2020-11-06 12:43 UTC (History)
32 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-06 12:43:18 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
GNOME Gitlab GNOME gtk issues 2112 0 None None None 2019-10-29 16:43:55 UTC

Description Vít Ondruch 2018-11-15 09:20:38 UTC
Description of problem:
When FF does not have focus, but the mouse cursor is above its window and I scroll the wheel, instead of scrolling the page, the history backward/forward is browsed.


Version-Release number of selected component (if applicable):
$ rpm -q firefox
firefox-63.0.1-3.fc30.x86_64


How reproducible:
Always


Steps to Reproduce:
1. Browse FF.
2. Give focus to another then FF window
3. Move cursor above FF and scroll the wheel.

Actual results:
The history forward/backward is browsed


Expected results:
The page (or nothing) is scrolled.


Additional info:

Comment 1 Adam Williamson 2019-02-14 21:06:43 UTC
I've been suffering from this too. It's insanely, incredibly annoying and drives me nuts. I have a two-display setup and Firefox is usually maximized on one display, so I run into this *all the time* when I want to scroll the page open in Firefox but a window on the other screen happens to have the focus.

Note this doesn't *always* happen, sometimes scrolling the wheel over the inactive Firefox window does scroll the page not browse the history. I think the difference is whether you change focus by clicking the other window (bug does not happen) or hitting alt-tab (bug does happen).

Comment 2 Martin Stransky 2019-02-18 09:29:35 UTC
ALT + mouse wheel scrolls history on focused window. Looks like the ALT modifier remains active for Firefox when ALT+TAB is used and then the history scroll is used. I'll look at it.

Comment 3 Adam Williamson 2019-02-18 22:49:39 UTC
That makes sense... and actually there's another thing I've been seeing lately which might *possibly* be related: the Firefox test in openqa has been failing quite often lately and always when trying to type something that involves a modifier key (e.g. ctrl-t to open a new tab, or just typing a colon). It might turn out not to be the same thing at all, of course, but I thought I'd mention it.

Comment 4 Martin Stransky 2019-02-26 11:53:59 UTC
Can you confirm that this is Wayland only? I can't reproduce on X.

Comment 5 Martin Stransky 2019-02-26 13:28:29 UTC
This is a Mutter bug, can be preproduced on simple testcase. Filed as https://gitlab.gnome.org/GNOME/mutter/issues/474

Comment 6 Adam Williamson 2019-02-26 16:36:39 UTC
Thanks a lot!

Comment 7 Alessio 2019-06-27 08:54:48 UTC
*** Bug 1724092 has been marked as a duplicate of this bug. ***

Comment 8 Martin Stransky 2019-09-23 08:08:45 UTC
*** Bug 1754265 has been marked as a duplicate of this bug. ***

Comment 9 Martin Stransky 2019-09-23 08:10:19 UTC
It still entertains us on Fedora 31.

Comment 10 Martin Stransky 2019-09-23 08:12:32 UTC
Moving to Gtk3 according to upstream ticket.

Comment 11 Martin Stransky 2019-10-03 11:08:38 UTC
*** Bug 1758130 has been marked as a duplicate of this bug. ***

Comment 12 Dean Brettle 2020-03-26 17:03:43 UTC
Although this issue is referenced from:

https://fedoraproject.org/wiki/Common_F31_bugs#Trying_to_scroll_with_mouse_wheel_in_inactive_Firefox_window_results_in_back.2Fforward_instead

that page currently says to go to "about:preferences" in Firefox to change mousewheel.with_alt.action to 1. It should say "about:config" instead of "about:preferences". I realize this may not be the ideal place to report this documentation error, but I don't have permission to edit that page and it wasn't clear where such errors should be reported. Perhaps someone monitoring this bug has the necessary permission.

Comment 13 Adam Williamson 2020-03-26 17:09:31 UTC
Oops, that's my mistake! Thanks for the note. I'll correct it.

Comment 14 Vít Ondruch 2020-09-14 11:27:27 UTC
I cannot reproduce this on my Rawhide anymore. This was very likely resolved by:

https://gitlab.gnome.org/GNOME/gtk/-/commit/7444b15d47e40d1c4696bf978319690db0b91c4b

i.e. by gtk3 3.24.19. Therefore F32+ should be probably OK.

Comment 15 Adam Williamson 2020-09-14 23:45:53 UTC
Might be worth a backport to F31...the bug is against 31, so let's leave it open for now at least.

Comment 16 Petr Kočandrle 2020-09-24 22:03:08 UTC
I can confirm it works ok now in F32.

The original report was actually against F30 and was moved to 31 later.

Comment 17 Ben Cotton 2020-11-03 15:05:22 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 18 Christian Stadelmann 2020-11-06 12:43:18 UTC
I cannot reproduce the issue either. Let's close this bug.


Note You need to log in before you can comment on or make changes to this bug.